> For the complete documentation index, see [llms.txt](https://docs.mastersindia.co/e-invoicing-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersindia.co/e-invoicing-api/cancel-irn/cancel-e-invoice-soap.md).

# Cancel E-invoice (SOAP)

{% embed url="<https://www.mastersindia.co/contact-us/?products=E-Invoicing%20API>" %}

<table><thead><tr><th width="171.33333333333331">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>Name URL</strong>    </td><td><a href="http://staging-soapapi.mastersindia.co/api.einvoice.php?wsdl">http://staging-soapapi.mastersindia.co/api.einvoice.php?wsdl</a></td></tr><tr><td><strong>Method Type</strong></td><td>Post</td></tr><tr><td><strong>Post Parameters (JSON Format)</strong></td><td>&#x3C;soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:server">   &#x3C;soapenv:Header/>   &#x3C;soapenv:Body>      &#x3C;urn:eInvoiceCancel>         &#x3C;access_token>b29cee2156282be62f51b24fe8b3f07f01c9bff1&#x3C;/access_token>         &#x3C;user_gstin>09AAAPG7885R002&#x3C;/user_gstin>         &#x3C;irn>1e6a362ea4c893cf0d6a8254c2d7862778fa19dcc091304ac220a13412e1ccae&#x3C;/irn>         &#x3C;cancel_reason>1&#x3C;/cancel_reason>         &#x3C;cancel_remarks>Wrong entry&#x3C;/cancel_remarks>      &#x3C;/urn:eInvoiceCancel>   &#x3C;/soapenv:Body>&#x3C;/soapenv:Envelope><br></td></tr><tr><td><strong>Success Response</strong></td><td>&#x3C;SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"> <a href="SOAP-ENV:Body">SOAP-ENV:Body</a> &#x3C;ns1:eInvoiceCancelResponse xmlns:ns1="urn:server"> 1e6a362ea4c893cf0d6a8254c2d7862778fa19dcc091304ac220a13412e1ccae 2021-06-01 20:30:00 0 Success <code>200</code> &#x3C;/ns1:eInvoiceCancelResponse> &#x3C;/SOAP-ENV:Body> &#x3C;/SOAP-ENV:Envelope></td></tr><tr><td><strong>Error Response</strong></td><td>&#x3C;SOAP-ENV:Envelope SOAP-ENV:encodingStyle="Cancel E-Invoice" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"> <a href="SOAP-ENV:Body">SOAP-ENV:Body</a> &#x3C;ns1:eInvoiceCancelResponse xmlns:ns1="urn:server"> 1 2143: Invoice does not belongs to the user GSTIN Failed <code>204</code> &#x3C;/ns1:eInvoiceCancelResponse> &#x3C;/SOAP-ENV:Body> &#x3C;/SOAP-ENV:Envelope></td></tr></tbody></table>

{% embed url="<https://www.mastersindia.co/contact-us/?products=E-Invoicing%20API>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mastersindia.co/e-invoicing-api/cancel-irn/cancel-e-invoice-soap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
